class Converter
  def convert_temperature(args)
    value = args.fetch(:value, 0)
    json_to_parse = args.fetch(:json_to_parse, '')

    if JSON.parse(json_to_parse)['unit'] == 'kelvin'
      value -= 273.15
    elsif JSON.parse(json_to_parse)['unit'] == 'fahrenheit'
      value = ((value - 32) * 5) / 9
    else
      value
    end
  end

  def convert_range(args)
    value = args.fetch(:value, 0)
    json_to_parse = args.fetch(:json_to_parse, '')

    if JSON.parse(json_to_parse)['unit'] == 'fahrenheit'
      value /= 1.8
    else
      value
    end
  end
end
